## grails.util
Class DomainBuilder.DefaultGrailsChildPropertySetter

    java.lang.Object
      grails.util.DomainBuilder.DefaultGrailsChildPropertySetter

All Implemented Interfaces:
  groovy.util.ObjectGraphBuilder.ChildPropertySetter

Enclosing class:
  DomainBuilder

    public static class DomainBuilder.DefaultGrailsChildPropertySetter

extends Object
implements groovy.util.ObjectGraphBuilder.ChildPropertySetter

Constructor Summary
`DomainBuilder.DefaultGrailsChildPropertySetter()`

Method Summary
`void` `setChild(Object parent, Object child, String parentName, String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DomainBuilder.DefaultGrailsChildPropertySetter

    public DomainBuilder.DefaultGrailsChildPropertySetter()

Method Detail

### setChild

    public void setChild(Object parent,
                         Object child,
                         String parentName,
                         String propertyName)

  Specified by:
    `setChild` in interface `groovy.util.ObjectGraphBuilder.ChildPropertySetter`

Copyright (c) 2005-2009 The Grails project